

arch/i386/kernel/irq.c: In function `note_interrupt':
arch/i386/kernel/irq.c:438: `ok' undeclared (first use in this function)

and

arch/i386/kernel/irq.c: In function `note_interrupt':
arch/i386/kernel/irq.c:438: warning: passing arg 2 of `misrouted_irq' from incompatible pointer type
arch/i386/kernel/irq.c:438: too many arguments to function `misrouted_irq'


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/irq.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/i386/kernel/irq.c~misrouted-irq-recovery-take-2-fix arch/i386/kernel/irq.c
--- 25/arch/i386/kernel/irq.c~misrouted-irq-recovery-take-2-fix	2004-09-06 23:47:37.258704720 -0700
+++ 25-akpm/arch/i386/kernel/irq.c	2004-09-06 23:49:46.301087296 -0700
@@ -391,11 +391,11 @@ static void note_interrupt(int irq, irq_
 	{
 		if((irqfixup == 2 && irq == 0) || action_ret == IRQ_NONE)
 		{
+			int ok;
 #ifdef CONFIG_4KSTACKS
 			u32 *isp;
 			union irq_ctx * curctx;
 			union irq_ctx * irqctx;
-			int ok;
 
 			curctx = (union irq_ctx *) current_thread_info();
 			irqctx = hardirq_ctx[smp_processor_id()];
@@ -435,7 +435,7 @@ static void note_interrupt(int irq, irq_
 #else
 			spin_unlock(&desc->lock);
 
-			ok = misrouted_irq(irq, desc, regs);
+			ok = misrouted_irq(irq, regs);
 
 			spin_lock(&desc->lock);
 #endif
_
